org.modeshape.jcr.api.index

## Interface IndexColumnDefinitionTemplate

- All Superinterfaces:
    IndexColumnDefinition

      public interface IndexColumnDefinitionTemplate
      extends IndexColumnDefinition

  An immutable definition of a column used in an `IndexDefinition`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()` Get the name of the property for which this index column applies.
    `IndexColumnDefinitionTemplate` | `setColumnType(int propertyType)` Set the type of value for this index column applies.
    `IndexColumnDefinitionTemplate` | `setPropertyName(String name)` Set the name of the property for which this index column applies.

    - ### Methods inherited from interface org.modeshape.jcr.api.index.IndexColumnDefinition

      `getColumnType`

- - ### Method Detail

    - #### getPropertyName

          String getPropertyName()

      Get the name of the property for which this index column applies.
      Specified by:
        `getPropertyName` in interface `IndexColumnDefinition`
      Returns:
        the property name; null if the value has not yet been set on this template

    - #### setPropertyName

          IndexColumnDefinitionTemplate setPropertyName(String name)

      Set the name of the property for which this index column applies.
      Parameters:
        `name` - the name of the property; may not be null
      Returns:
        this instance for method chaining; never null

    - #### setColumnType

          IndexColumnDefinitionTemplate setColumnType(int propertyType)

      Set the type of value for this index column applies.
      Parameters:
        `propertyType` - the `property type` for this column
      Returns:
        this instance for method chaining; never null
      Throws:
        `IllegalArgumentException` - if the supplied property type is not one of the `PropertyType` constants.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.